
D4Science Infrastructure - Incident #13007

The maven disk is full and a first try to cleanup the space failed

Dec 07, 2018 03:46 PM - Andrea Dell'Amico

Status: Closed Start date: Dec 07, 2018

Priority: Immediate Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: No Sprint   

Infrastructure: Development, Pre-Production,

Production

  

Description

@tommaso.piccioli@isti.cnr.it followed the procedure described here: 

https://support.sonatype.com/hc/en-us/articles/213465608-Can-I-directly-update-artifacts-in-Nexus-local-storage-on-disk- but no

space was freed.

History

#1 - Dec 07, 2018 03:47 PM - Andrea Dell'Amico

We brought down the server and I'm running a file system check on the maven data disk, it will take some time.

#3 - Dec 07, 2018 04:26 PM - Andrea Dell'Amico

- Status changed from New to In Progress

The file system check did not have any effect. There are ~20GB of free space right now, if I find a way to expand the disk I'll send a new notice and

stop the server again for some minutes.

#4 - Dec 07, 2018 06:31 PM - Roberto Cirillo

I think the "empty trash" scheduled task should be added to our nexus.

#5 - Dec 09, 2018 12:38 PM - Andrea Dell'Amico

Agree. At this point we should wait for the upgrade to a newer release. We'll try to work it out ASAP.

#6 - Dec 09, 2018 01:23 PM - Tommaso Piccioli

- % Done changed from 0 to 50

Yes, the deleted items was in the trash.

I scheduled a "empty trash" activity, on a daily schedule it will check and delete items in the trash older than 30 days.

It is running just now, today it will be a long process, I think, longer than usual.

It is freeing the space, actually.

#7 - Dec 11, 2018 06:01 PM - Tommaso Piccioli

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

The scheduled activity "empty basket" has released ~200 GB of disk.

It will run every day and likely it will take much less than one hour to clean the future trashed items.
